import { UserKeypairs } from '@/models/index.js';
import { User } from '@/models/entities/user.js';
import { UserKeypair } from '@/models/entities/user-keypair.js';
import { Cache } from './cache.js';
import { MINUTE } from '@/const.js';

const cache = new Cache<UserKeypair>(
	15 * MINUTE,
	(userId) => UserKeypairs.findOneByOrFail({ userId }),
);

export async function getUserKeypair(userId: User['id']): Promise<UserKeypair> {
	return await cache.fetch(userId);
}
